for model in "mistral"
do
    for model_size in "7b"
    do
        for is_instruct_version in "0" "1"
        do
            python3 run_experiments.py --model $model --model_size $model_size --is_instruct_version $is_instruct_version
        done
    done
done


for model in "llama2" "gemma"
do
    for model_size in "7b"
    do
        for is_instruct_version in "0" "1"
        do
            python3 run_experiments.py --model $model --model_size $model_size --is_instruct_version $is_instruct_version
        done
    done
done

for model in "llama3"
do
    for model_size in "8b"
    do
        for is_instruct_version in "0" "1"
        do
            python3 run_experiments.py --model $model --model_size $model_size --is_instruct_version $is_instruct_version
        done
    done
done

for model in "llama2"
do
    for model_size in "13b"
    do
        for is_instruct_version in "0" "1"
        do
            python3 run_experiments.py --model $model --model_size $model_size --is_instruct_version $is_instruct_version
        done
    done
done

for model in "pythia"
do
    for model_size in "70m" "160m" "410m" "1b" "1.4b" "2.8b" "6.9b" "12b"
    do
        for is_instruct_version in "0"
        do
            python3 run_experiments.py --model $model --model_size $model_size --is_instruct_version $is_instruct_version
        done
    done
done
